<template>
  <div class="scale-drawing">
    <div class="title">
            <span>
                {{ leftData.name + ': ' + leftData.value + leftData.unit }}
            </span>
      <span>
                {{ rightData.name + ': ' + rightData.value + rightData.unit }}
            </span>
    </div>
    <div class="content">
      <div class="content-left" :style="{ width: (leftData.value / (leftData.value + rightData.value) * 100 + '%') }">
      </div>
      <div class="content-line">
        <div class="line-icon"></div>
      </div>
      <div class="content-right"
           :style="{ width: (rightData.value / (leftData.value + rightData.value) * 100 + '%') }"></div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ScaleDrawing', // 公共标题
  props: {

    leftData: {
      type: Object,
      default() {
        return {}
      }
    },
    rightData: {
      type: Object,
      default() {
        return {}
      }
    }
  },
  data() {
    return {}
  },
  created() {
  },
  methods: {}
}
</script>

<style scoped lang="scss">
.scale-drawing {
  width: 100%;

  .title {
    display: flex;
    justify-content: space-between;

    span {
      font-size: 16px;
      font-family: Microsoft YaHei, Microsoft YaHei;
      font-weight: 400;
      color: #0F2A4D;
      line-height: 21px;
    }

  }

  .content {
    width: 100%;
    height: 32px;
    display: flex;
    align-items: center;

    // justify-content: space-between;
    .content-left {
      height: 16px;
      background: #55EDB0;
      border-radius: 2px 0px 0px 2px;
      opacity: 1;
    }

    .content-line {
      width: 1px;
      height: 32px;
      position: relative;
      background: #D8D8D8;

      .line-icon {
        position: absolute;
        background-image: url('~@/assets/img/publicTitle/line-icon.png');
        width: 20px;
        height: 16px;
        bottom: -15px;
        left: -9px;
      }


    }

    .content-right {
      height: 16px;
      background: #198CFF;
      border-radius: 0px 2px 2px 0px;
      opacity: 1;
    }
  }
}
</style>
